Get virtual server pseudo clients filtered by permission
Returns the list of virtual server pseudo clients that the specified permission category grants access to. Optionally filters by virtualization vendor type and excludes admin clients.
Query Parameters
- permissionId int32 required
ID of the permission category used to filter accessible virtual server pseudo clients
- vendor string
Possible values: [
NONE,VMW,MICROSOFT,XEN_SERVER,AMAZON,AZURE,REDHAT,AZURE_V2,SCVMM,NUTANIX,ORACLE_VM,DOCKER,OPENSTACK,ORACLE_CLOUD,FUSIONCOMPUTE,VCLOUD,GOOGLE_CLOUD,AZURE_STACK,ALIBABA_CLOUD,ORACLE_CLOUD_INFRASTRUCTURE,KUBERNETES,REDHAT_OPENSHIFT,MONGODB_ATLAS,PROXMOX,KUBERNETES_AKS,AZURE_STACK_HCI,KUBERNETES_EKS,MORPHEUS,KUBERNETES_GKE,KUBERNETES_OKE,NUTANIX_PRISM_CENTRAL,APACHE_CLOUDSTACK,VMWARE_CLOUD_FOUNDATION,NEXAVM,INCUS]Virtualization vendor type to filter by. Defaults to NONE (all vendors).
- filterAdminClient boolean
When true, excludes admin pseudo clients from the result set. Defaults to false.
- 200
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
vsaVirtualClientList object[]
List of virtual server pseudo client entries
client object
The pseudo-client entity
clientId int32Unique ID of the client
clientName stringDisplay name of the client
hostName stringNetwork hostname of the client machine
displayName stringHuman-friendly display name shown in the UI
instance object
The VSA instance running on the pseudo-client
clientId int32ID of the parent client that owns this instance
clientName stringName of the parent client
applicationId int32iDataAgent application type ID
instanceId int32Unique ID of the instance
instanceName stringName of the instance
status int32Status code of the pseudo client
isTenantClient int32Non-zero if this pseudo client belongs to a tenant company
adminInstanceId int32ID of the admin instance associated with this pseudo client
{
"vsaVirtualClientList": [
{
"client": {
"clientId": 0,
"clientName": "string",
"hostName": "string",
"displayName": "string"
},
"instance": {
"clientId": 0,
"clientName": "string",
"applicationId": 0,
"instanceId": 0,
"instanceName": "string"
},
"status": 0,
"isTenantClient": 0,
"adminInstanceId": 0
}
]
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}